العودة للمرجع
GET/wallet-settlements/{settlementId}
Settlements

تفاصيل التسوية

يعيد التسوية وبنودها.

مستوى الوصولbusiness_financeالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/SettlementApiController.php::showLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
settlementIdpath
integerإلزامي

Settlement identifier.

Example: 7001

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallet-settlements/7001' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
Example: true
message
string | null
data
Settlement
{
  "status": true,
  "message": "string",
  "data": {
    "id": 1,
    "uuid": "00000000-0000-4000-8000-000000000001",
    "wallet_id": 1,
    "period_type": "daily",
    "period_start": "2026-07-16",
    "period_end": "2026-07-16",
    "status": "pending",
    "idempotency_key": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "created_at": "2026-07-16T12:00:00Z"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection